Bug 2165809 - Testsuite suite 'query_rewrite_plugins' fails on Fedora 38 and later
Summary: Testsuite suite 'query_rewrite_plugins' fails on Fedora 38 and later
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: community-mysql
Version: 38
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-01-31 07:02 UTC by Michal Schorm
Modified: 2023-11-10 01:54 UTC (History)
4 users (show)

Fixed In Version: community-mysql-8.0.35-1.fc37 community-mysql-8.0.35-1.fc39 community-mysql-8.0.35-1.fc38
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-11-10 01:12:04 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Michal Schorm 2023-01-31 07:02:51 UTC
This testsuite suite is run during the package build when the release macro '%last_tested_version' is lesser than the package version:
https://src.fedoraproject.org/rpms/community-mysql/blob/rawhide/f/community-mysql.spec#_16

I have found out that this testuite started to fail on Fedora 38.
Both MySQL 8.0.31 and 8.0.32 testuite pass on F37 and older.

The tests error messages aren't helpful, they usually looks like this:
  |
  |  [ 36%] query_rewrite_plugins.digest_collision   w1  [ fail ]
  |          Test ended at 2023-01-30 10:25:09
  |  CURRENT_TEST: query_rewrite_plugins.digest_collision
  |  mysqltest: At line 42: Query 'CALL query_rewrite.flush_rewrite_rules()' failed.
  |

Comment 1 Ben Cotton 2023-02-07 15:07:37 UTC
This bug appears to have been reported against 'rawhide' during the Fedora Linux 38 development cycle.
Changing version to 38.

Comment 2 Fedora Update System 2023-11-01 15:37:06 UTC
FEDORA-2023-e7aa13efc5 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-e7aa13efc5

Comment 3 Fedora Update System 2023-11-01 15:37:07 UTC
FEDORA-2023-6efef709eb has been submitted as an update to Fedora 37. https://bodhi.fedoraproject.org/updates/FEDORA-2023-6efef709eb

Comment 4 Fedora Update System 2023-11-01 15:37:07 UTC
FEDORA-2023-9ff7fd16a0 has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-9ff7fd16a0

Comment 5 Fedora Update System 2023-11-02 01:29:22 UTC
FEDORA-2023-9ff7fd16a0 has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-9ff7fd16a0`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-9ff7fd16a0

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 6 Fedora Update System 2023-11-02 01:48:13 UTC
FEDORA-2023-e7aa13efc5 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-e7aa13efc5`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-e7aa13efc5

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 7 Fedora Update System 2023-11-02 02:05:16 UTC
FEDORA-2023-6efef709eb has been pushed to the Fedora 37 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-6efef709eb`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-6efef709eb

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-11-10 01:12:04 UTC
FEDORA-2023-6efef709eb has been pushed to the Fedora 37 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 9 Fedora Update System 2023-11-10 01:44:45 UTC
FEDORA-2023-e7aa13efc5 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 10 Fedora Update System 2023-11-10 01:54:57 UTC
FEDORA-2023-9ff7fd16a0 has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.